Package pyplusplus :: Package code_creators :: Module target_configuration :: Class target_configuration_t

# type target_configuration_t

source code

    object --+
             |
            target_configuration_t

Developers do not always work with latest version of boost.python or latest version of compiler. So there is a need to generate code that configured to specific version, feature or compiler. Instance of this class will be shared between all instances of code creators. Every relevant code creator will respect relevant configuration settings.

Instance Methods

__init__(self) | source code

Properties
| boost_python_has_wrapper_held_type
| boost_python_supports_void_ptr

Method Details

### __init__(self)
(Constructor)

source code

Overrides: object.__init__
  (inherited documentation)

Property Details

### boost_python_has_wrapper_held_type

Get Method:
  _get_boost_python_has_wrapper_held_type(self)
Set Method:
  _set_boost_python_has_wrapper_held_type(self, value)

### boost_python_supports_void_ptr

Get Method:
  _get_boost_python_supports_void_ptr(self)
Set Method:
  _set_boost_python_supports_void_ptr(self, value)